Summary: MUD/MOO/MUSH/etc. client.
Name: tf-beta
Version: 4.0.beta2
Release: 1
Copyright: GPL
Group: Applications/Communications
Source: ftp://tf.tcp.com/pub/tinyfugue/tf-40b2.tar.gz
URL: http://tf.tcp.com/~hawkeye/tf/
Packager: Chris Cogdon <chris@felidae.apana.org.au>
Prefix: /usr/bin

%description
TinyFugue is the ubiquitous MUD/MOO/MUSH/other-multiple-player-game
client for UNIX. This client allows you to interact with multiple worlds
simultaneously, create command macros, create hooks and triggers for
automated responses to game messages.

%prep
%setup -n tf-40b2
mv unix/Config unix/Config.orig
cat << --END-- > unix/Config
TF="/usr/bin/tf-40b2"
LIBDIR="/usr/lib/tf-40b2-lib"
MANTYPE="nroff"
MANPAGE="/usr/man/man1/tf.1"
--END--
cat unix/Config.orig >> unix/Config

%build
ans=y sh unixmake files

%install
sh unixmake install

cat << '--END--' > /usr/bin/tf
#! /bin/bash
REALTF=tf-40b2
BINDIR=`dirname $0`
BASEDIR=`dirname $BINDIR`

exec $BINDIR/$REALTF -L$BASEDIR/lib/$REALTF-lib $*
--END--
chmod 755 /usr/bin/tf

%clean
sh unixmake clean

%files
/usr/bin/tf
/usr/bin/tf-40b2
/usr/lib/tf-40b2-lib
%doc /usr/man/man1/tf.1
%doc CHANGES COPYING CREDITS README

